Bug 734935 - Apache ssl_error_log grows unbounded, up to 5GB in 3 hours
Summary: Apache ssl_error_log grows unbounded, up to 5GB in 3 hours
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Pulp
Classification: Retired
Component: z_other
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Jason Connor
QA Contact: Preethi Thomas
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-31 21:57 UTC by John Matthews
Modified: 2014-03-31 01:39 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-10 17:36:55 UTC


Attachments (Terms of Use)

Description John Matthews 2011-08-31 21:57:38 UTC
Description of problem:

I am running 10 process that are looping doing a curl as fast as they can.
They are fetching a protected repomd.xml.

About half the processes are using a good certificate
half are using a bad certificate

After ~3 hours, I see the ssl_error_log is approaching 5GB of size.

$ ls -larth
total 4.9G
-rw-r--r--   1 root root  65K Aug 19 14:51 ssl_request_log-20110821
-rw-r--r--   1 root root  25M Aug 19 14:51 ssl_error_log-20110821
-rw-r--r--   1 root root  58K Aug 19 14:51 ssl_access_log-20110821
-rw-r--r--   1 root root  21K Aug 19 16:18 error_log-20110821
-rw-r--r--   1 root root  11K Aug 31 03:29 ssl_request_log-20110831
-rw-r--r--   1 root root 3.9M Aug 31 03:29 ssl_error_log-20110831
-rw-r--r--   1 root root  12K Aug 31 03:29 ssl_access_log-20110831
drwx------.  2 root root 4.0K Aug 31 03:43 .
-rw-r--r--   1 root root  11K Aug 31 03:43 error_log-20110831
drwxr-xr-x. 21 root root 4.0K Aug 31 13:09 ..
-rw-r--r--   1 root root 1.9K Aug 31 13:13 access_log
-rw-r--r--   1 root root 221K Aug 31 15:29 error_log
-rw-r--r--   1 root root  18M Aug 31 17:53 ssl_request_log
-rw-r--r--   1 root root 4.8G Aug 31 17:53 ssl_error_log
-rw-r--r--   1 root root  23M Aug 31 17:53 ssl_access_log

Comment 1 John Matthews 2011-09-07 15:55:53 UTC
Jason,

I think the debug setting for SSL was a change I made locally.  
So...this might not be a real issue :)


Note You need to log in before you can comment on or make changes to this bug.